name: ${VM_ID:-olip}-deploy
services:
  hao:
    extends:
      file: templates/templates.compose.yml
      service: hao
    image: registry.gitlab.com/bibliosansfrontieres/olip-ng/hao:${OLIP_SERVICES_TAG:-latest}
  olip-api:
    extends:
      file: templates/templates.compose.yml
      service: olip-api
    image: registry.gitlab.com/bibliosansfrontieres/olip-ng/olip-api:${OLIP_SERVICES_TAG:-latest}
    depends_on:
      hao:
        condition: service_healthy
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.${VM_ID:-olip}-olip-api.tls=true"
      - "traefik.http.routers.${VM_ID:-olip}-olip-api.tls.certResolver=${MAESTRO_RESOLVER_ID:-maestro_resolver}"
      - "traefik.http.routers.${VM_ID:-olip}-olip-api.rule=Host(`api.${OLIP_HOST:-ideascube.io}`)"
      - "traefik.http.routers.${VM_ID:-olip}-olip-api.entrypoints=websecure"
      - "traefik.http.services.${VM_ID:-olip}-olip-api.loadbalancer.server.port=80"
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - /olip-files:/olip-files
      - ${OLIP_VOLUME}/databases:/app/data/databases
      - ${OLIP_VOLUME}/applications:/app/data/applications
      - ${OLIP_VOLUME}/static/images:/app/data/static/images
      - ${S3_BUCKET_VOLUME}/items:/app/data/static/items
      - ${S3_BUCKET_VOLUME}/item_thumbnails:/app/data/static/item_thumbnails
      - ${S3_BUCKET_VOLUME}/playlist_thumbnails:/app/data/static/playlist_thumbnails
  olip-dashboard:
    extends:
      file: templates/templates.compose.yml
      service: olip-dashboard
    image: registry.gitlab.com/bibliosansfrontieres/olip-ng/olip-dashboard:${OLIP_SERVICES_TAG:-latest}
    depends_on:
      olip-api:
        condition: service_healthy
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.${VM_ID:-olip}-olip-dashboard.tls=true"
      - "traefik.http.routers.${VM_ID:-olip}-olip-dashboard.tls.certResolver=${MAESTRO_RESOLVER_ID:-maestro_resolver}"
      - "traefik.http.routers.${VM_ID:-olip}-olip-dashboard.rule=Host(`${OLIP_HOST:-ideascube.io}`)"
      - "traefik.http.routers.${VM_ID:-olip}-olip-dashboard.entrypoints=websecure"
      - "traefik.http.services.${VM_ID:-olip}-olip-dashboard.loadbalancer.server.port=80"

networks:
  olip:
    name: "${OLIP_NETWORK}"
    external: true
